A new instance of IBM Domino 'bindsock' cannot bind to ports <1024 Kernel 3.13.0-29 and above

Bug #1335478 reported by Kit Davis on 2014-06-28
66
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Andy Whitcroft
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
High
Andy Whitcroft
linux-lts-trusty (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
High
Andy Whitcroft
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned
linux-lts-utopic (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

Starting with kernels 3.2.0-64 and 3.13.0-29 Something has changed to once again that prevents IBM Domino's "/opt/ibm/domino/notes/latest/linux/bindsock" binary that runs as root (setuid) to get ports lower than 1024 for it's LDAP, SMTP, IMAP, POP3, and HTTP processes.

The Domino server reports the following: :
  "Listener failure: 'bindsock' is missing, not executable, not owned by root, not setuid root or user needs net_privaddr privilege."

This is the same behaviour that was reported and subsequently corrected in Bug # 1269053

===
break-fix: dbb490b96584d4e958533fb637f08b557f505657 6a2a2b3ae0759843b22c929881cc184b00cc63ff

Kit Davis (kdavis-j) on 2014-06-28
affects: linux-lts-quantal (Ubuntu) → linux-lts-trusty (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-trusty (Ubuntu):
status: New → Confirmed
Kit Davis (kdavis-j) wrote :

The bug remains in 3.13.0-32

Tim Gardner (timg-tpi) on 2014-07-24
Changed in linux-lts-trusty (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

Ok I have added some debug to try and confirm which change affected this. @Kit if you could test the kernel below and get me a dmesg from that run, it should still fail. Kernels are at the URL below:

    http://people.canonical.com/~apw/lp1335478-trusty/

Please report any testing back here.

Kit Davis (kdavis-j) wrote :

Dmesg output attached.

Kit Davis (kdavis-j) wrote :

it seems that in the 12.04 stream, the error is no longer present in 3.2.0.67

Dirk Bautz (dirk-bautz) wrote :

Hello,
I still get the following message after I installed IBM Domino Server 9.0.1 on Ubuntu server 14.0.4 LTS.

The Domino server reports the following: :
  "Listener failure: 'bindsock' is missing, not executable, not owned by root, not setuid root or user needs net_privaddr privilege."

I download Ubuntu server last wednesday.

Kit Davis (kdavis-j) wrote :

Yes, even with the newest kernel (3.13.0-35) the problem exists. You need to use 3.13.0-24

It has been two months and the status of the bug has not changed.

Kit Davis (kdavis-j) wrote :

Another month, another kernel - 3-13.0-36 and the problem still exists. I now have 12 servers that can't be updated past 3.13.0.24 - Time to look for another distribution?

cws3400 (8-pat) wrote :

Same here. Five servers that can not be updated. I really prefer to not go to a RPM distribution.

Renaud (renzud) wrote :

I can only confirm it kernel version higher than 3.13-0-24 will break domino servers.....

It's really a pity especially if it was fixed before any broke again.

Can you please help and try to fix it ?

Thanks

Kit Davis (kdavis-j) wrote :

I'm not sure what the problem with getting a resolution is. The original bug was fixed almost immediately - this one has persisted for almost 4 months.

MiG (m-gerth) wrote :

I use Domino 9.0.1FP1 and FP2 with kernel 3.13.0-37-generic - get the same error.
But when I retry several times (1-10) then in the end the port will bind.

Kit Davis (kdavis-j) wrote :

Update to 3.13.0.39 and still FAIL

Matthias Knäpper (m-knaepper) wrote :

This issue is a severe problem for us. If you just start domino server with no need use ldap there are some error messages. But if you have to use eg a samtime server you will recognize that ther service will not be able to start. Two of our customers have severe problems with this.

Are there any plans to solve this issue?

Thanks in advance.

Ben Erickson (bugs-r) wrote :

Still a problem in 3.13.0-39 and 3.13.0-40.47. This affects my own network and one of my clients. I can't use the 3.13 kernel this way. I have to use a different kernel just for setuid to work.

Kit Davis (kdavis-j) wrote :

I wonder if it would make sense for someone to submit this again as a new bug? After 6 months with no solution and not much even in the way of acknowledgement, I wonder if it has somehow been forgotten. Perhaps a new bug report might get someone's attention?

Andy Whitcroft (apw) wrote :

After a long heiatus, I have a possible fix, for this which I could do some feedback on. If someone who can reproduce this could test the kernel below and firstly let me know if it fixes the issue, and secondly attach a dmesg from it. Kernels are at the URL below:

     http://people.canonical.com/~apw/lp1335478-2-trusty/

Kit Davis (kdavis-j) wrote :

Done - With the kernel loaded (in this case the 386 version) the problem does not appear. Dmesg output attached. Thanks.?field.comment=Done - With the kernel loaded (in this case the 386 version) the problem does not appear. Dmesg output attached. Thanks.

Let me know if I can do anything else to help you with this. Thanks again.

Andy Whitcroft (apw) on 2014-12-10
Changed in linux-lts-trusty (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-15.01
Andy Whitcroft (apw) on 2014-12-10
Changed in linux-lts-trusty (Ubuntu):
milestone: ubuntu-15.01 → ubuntu-14.12
description: updated
tags: added: kernel-bug-break-fix
Andy Whitcroft (apw) on 2014-12-10
Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
milestone: none → ubuntu-14.12
Changed in linux-lts-trusty (Ubuntu Vivid):
status: Confirmed → Invalid
Changed in linux-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Utopic):
status: New → Invalid
Andy Whitcroft (apw) on 2014-12-10
Changed in linux (Ubuntu Lucid):
status: New → Confirmed
Changed in linux (Ubuntu Precise):
status: New → Confirmed
Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Confirmed
Changed in linux (Ubuntu Utopic):
status: New → Confirmed
Changed in linux (Ubuntu Vivid):
status: Confirmed → Fix Committed
cws3400 (8-pat) wrote :

Kit
I plan to take a server offline this weekend, test, and post back here per your 12/8 posting.

Same here - 64bit version. Problem seems to be solved with the fix. Thanks a lot. Will the fix find its way into the Trusty LTS kernel?

Renaud (renzud) wrote :

I tested it on a x64 vm and the problem is gone !

Thanks Andrew !

Ben Erickson (bugs-r) wrote :

Yes, working for me too. Ubuntu 14.04 LTS x86. Thanks! I hope this gets into the mainline kernel soon!

Ben Erickson (bugs-r) wrote :

Attaching dmesg... thanks again.

Andy Whitcroft (apw) on 2014-12-15
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Lucid):
status: New → Invalid
Kit Davis (kdavis-j) wrote :

Andy - can you clarify (or predict) which kernels will see the fix? From the above, it looks as if the fix will show up in 14.12 (vivid) but there does not seem to be any status listed for 14.04. I know a lot of clients want to stay with an LTS version.

Andy Whitcroft (apw) on 2014-12-15
Changed in linux (Ubuntu Lucid):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Utopic):
status: Confirmed → Fix Committed
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Confirmed
Andy Whitcroft (apw) on 2014-12-16
Changed in linux-lts-trusty (Ubuntu Precise):
assignee: nobody → Andy Whitcroft (apw)
milestone: none → precise-updates
Changed in linux-lts-trusty (Ubuntu Vivid):
milestone: ubuntu-14.12 → none
Changed in linux-lts-trusty (Ubuntu Precise):
importance: Undecided → High
Changed in linux-lts-trusty (Ubuntu Vivid):
assignee: Andy Whitcroft (apw) → nobody
importance: High → Undecided
Ben Erickson (bugs-r) wrote :

Andy, is there any way to try to prevent this from happening again like some comments in the code? As mentioned by OP, this has happened before.

Andy Whitcroft (apw) on 2014-12-17
Changed in linux-lts-trusty (Ubuntu Precise):
status: Confirmed → Fix Committed
Changed in linux-lts-utopic (Ubuntu Trusty):
status: Confirmed → Fix Committed
Andy Whitcroft (apw) wrote :

@Ben -- the code is clear, the issue is the API is not clear. These issues have occurred because the userspace program is passing in junk in one of the fields of the structure it passes to the kernel, literally random bits from its stack. In attempting to validate those to prevent security issues this userspace application has been caught out. The main issue is the documentation for the call can be read to say you do not need to fill in that field under some circumstances, a failure in the documentation, but given that the validation needs to be more targetted; and this final fix does that, zapping the "not needed to be filled value" to zero when it is not required to avoid validation failures. The new code also documents this ABI weakness so that it should not occur.

Of course none of that excuses the userspace programmer from not initialising this structure sensibly regardless of the documentation. It is plain sloppy practice.

Ben Erickson (bugs-r) wrote :

I will try to open a service request based on this information. Is there anything more specific information about which of the fields is passing on the junk?

Perhaps this could actually get fixed!

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
tags: added: verification-needed-precise
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-utopic
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Andy Whitcroft (apw) wrote :

The attached test.c should tickle this bug, sendmsg should return ret=4 errno=0 when the fix is applied, ret=-1 errno=22 when it is not.

Ben Erickson (bugs-r) wrote :

Thanks, Andy- I've provided all this info in PMR 41425,227,000.

Kit Davis (kdavis-j) wrote :

I've tested the kernel (3.13.0-44) from Trusty-Proposed and it solves the bug. I cannot figure out where the tag "verification-needed-utopic" resides and therefore I can't change the tag to "verification-done"

Ben Erickson (bugs-r) wrote :

I have also tested kernel 3.13.0-44 on Trusty-Proposed and it solves the bug. I have modified the tag verification-needed-trusty to verification-done-trusty.

tags: added: verification-done-trusty
removed: verification-needed-trusty
Kit Davis (kdavis-j) on 2014-12-19
tags: added: verification-done-utopic
removed: verification-needed-utopic
Ben Erickson (bugs-r) wrote :

I'm working with IBM on this, trying to convince them to debug their bindsock binary. The initial hurdle, which I may or may not be able to overcome, is the boilerplate "Ubuntu is not a supported OS." I've offered to send them a virtual machine with the problem already present, we'll see how this goes.

If this re-appears again in a new kernel line (and you've come here from a google search from the future in your DeLorean, complete with Flux Capacitor), I also want to share another workaround I've found: build & install the vanilla kernel. I've tried it and it works. Here's a tutorial:
https://veithen.github.io/2013/12/19/ubuntu-vanilla-kernel.html

Andy Whitcroft (apw) on 2015-01-06
Changed in linux (Ubuntu Vivid):
milestone: ubuntu-14.12 → ubuntu-15.01
Brad Figg (brad-figg) on 2015-01-06
tags: added: verification-done-lucid
removed: verification-needed-lucid
Brad Figg (brad-figg) on 2015-01-06
tags: added: verification-done-precise
removed: verification-needed-precise
Ben Erickson (bugs-r) wrote :

Ok, the PMR with IBM went about as expected.

"Unfortunately our level 3 support team will not pursue this issue seeing how it is not seen on current supported platforms of Unix."

So much for bindsock itself getting fixed.

Kit Davis (kdavis-j) wrote :

Thanks for trying but I don't think anyone is too surprised. There was a time when the pride in the getting Domino perfect would have guaranteed a fix - now I'm afraid these resources are so limited at IBM there is little appetite to do anything beyond what is absolutely necessary.

Andy Whitcroft (apw) on 2015-01-07
Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.8 KiB)

This bug was fixed in the package linux - 3.16.0-29.39

---------------
linux (3.16.0-29.39) utopic; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402822

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Paolo Pisati ]

  * [Config] armhf: VIRTIO_[BALLOON|MMIO]=y

  [ Upstream Kernel Changes ]

  * Revert "arm64: Make default dma_ops to be noncoherent"
    - LP: #1386490
  * Revert "percpu: free percpu allocation info for uniprocessor system"
    - LP: #1401079
  * ath3k: Add support of MCI 13d3:3408 bt device
    - LP: #1395465
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * cpufreq: Allow stop CPU callback to be used by all cpufreq drivers
    - LP: #1397928
  * cpufreq: powernv: Set the pstate of the last hotplugged out cpu in
    policy->cpus to minimum
    - LP: #1397928
  * cpufreq: powernv: Set the cpus to nominal frequency during reboot/kexec
    - LP: #1397928
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * iwlwifi: add device / firmware to fw-error-dump file
    - LP: #1399440
  * iwlwifi: rename iwl_mvm_fw_error_next_data
    - LP: #1399440
  * iwlwifi: pcie: add firmware monitor capabilities
    - LP: #1399440
  * iwlwifi: remove wrong comment about alignment in iwl-fw-error-dump.h
    - LP: #1399440
  * iwlwifi: mvm: don't collect logs in the interrupt thread
    - LP: #1399440
  * iwlwifi: mvm: kill iwl_mvm_fw_error_rxf_dump
    - LP: #1399440
  * iwlwifi: mvm: update layout of firmware error dump
    - LP: #1399440
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1401079
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1401079
  * pinctrl: baytrail: show output gpio state correctly on Intel Baytrail
    - LP: #1401079
  * ALSA: hda - Add dock support for Thinkpad T440 (17aa:2212)
    - LP: #1401079
  * ALSA: hda - Add ultra dock support for Thinkpad X240.
    - LP: #1401079
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1401079
  * ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1401079
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument
    - LP: #1401079
  * powerpc/powernv: Properly fix LPC debugfs endianness
    - LP: #1401079
  * irqchip: armada-370-xp: Fix MSI interrupt handling
    - LP: #1401079
  * irqchip: armada-370-xp: Fix MPIC interrupt handling
    - LP: #1401079
  * USB: kobil_sct: fix non-atomic allocation in write path
    - LP: #1401079
  * USB: opticon: fix non-atomic allocation in write path
    - LP: #14010...

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.8 KiB)

This bug was fixed in the package linux - 3.13.0-44.73

---------------
linux (3.13.0-44.73) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402872

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Upstream Kernel Changes ]

  * iwlwifi: mvm: fix merge damage
    - LP: #1393317
  * iwlwifi: remove IWL_UCODE_TLV_FLAGS_SCHED_SCAN flag
    - LP: #1393317
  * iwlwifi: mvm: disable scheduled scan to prevent firmware crash
    - LP: #1393317
  * iwlwifi: mvm: enable scheduled scan on newest firmware
    - LP: #1393317
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * phylib: introduce PHY_INTERFACE_MODE_XGMII for 10G PHY
    - LP: #1381084
  * of: make of_get_phy_mode parse 'phy-connection-type'
    - LP: #1381084
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * drivers:scsi:storvsc: Fix a bug in handling ring buffer failures that
    may result in I/O freeze
    - LP: #1400289
  * arm64: optimized copy_to_user and copy_from_user assembly code
    - LP: #1400349
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * drm/radeon: initialize sadb to NULL in the audio code
    - LP: #1402714
  * powerpc/vphn: NUMA node code expects big-endian
    - LP: #1401150
  * ALSA: usb-audio: Fix device_del() sysfs warnings at disconnect
    - LP: #1402853
  * ALSA: hda - Add mute LED pin quirk for HP 15 touchsmart
    - LP: #1334950, #1402853
  * rcu: Make callers awaken grace-period kthread
    - LP: #1402853
  * rcu: Use rcu_gp_kthread_wake() to wake up grace period kthreads
    - LP: #1402853
  * net: sctp: fix NULL pointer dereference in af->from_addr_param on
    malformed packet
    - LP: #1402853
  * KVM: x86: Don't report guest userspace emulation error to userspace
    - LP: #1402853
  * [media] ttusb-dec: buffer overflow in ioctl
    - LP: #1402853
  * arm64: __clear_user: handle exceptions on strb
    - LP: #1402853
  * ARM: pxa: fix hang on startup with DEBUG_LL
    - LP: #1402853
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1402853
  * acer-wmi: Add Aspire 5741 to video_vendor_dmi_table
    - LP: #1402853
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1402853
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1402853
  * [media] ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1402853
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument
    - LP: #1402853
  * USB: kobil_sct: f...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-75.110

---------------
linux (3.2.0-75.110) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1403154

  [ Upstream Kernel Changes ]

  * kvm: fix excessive pages un-pinning in kvm_iommu_map error path.
    - LP: #1386395
    - CVE-2014-8369
  * KVM: x86: Don't report guest userspace emulation error to userspace
    - LP: #1392823
    - CVE-2014-7842
  * drivers:scsi:storvsc: Fix a bug in handling ring buffer failures that
    may result in I/O freeze
    - LP: #1400289
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
 -- Kamal Mostafa <email address hidden> Tue, 16 Dec 2014 10:00:12 -0800

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.8 KiB)

This bug was fixed in the package linux-lts-trusty - 3.13.0-44.73~precise1

---------------
linux-lts-trusty (3.13.0-44.73~precise1) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402952

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Upstream Kernel Changes ]

  * iwlwifi: mvm: fix merge damage
    - LP: #1393317
  * iwlwifi: remove IWL_UCODE_TLV_FLAGS_SCHED_SCAN flag
    - LP: #1393317
  * iwlwifi: mvm: disable scheduled scan to prevent firmware crash
    - LP: #1393317
  * iwlwifi: mvm: enable scheduled scan on newest firmware
    - LP: #1393317
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * phylib: introduce PHY_INTERFACE_MODE_XGMII for 10G PHY
    - LP: #1381084
  * of: make of_get_phy_mode parse 'phy-connection-type'
    - LP: #1381084
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * drivers:scsi:storvsc: Fix a bug in handling ring buffer failures that
    may result in I/O freeze
    - LP: #1400289
  * arm64: optimized copy_to_user and copy_from_user assembly code
    - LP: #1400349
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * drm/radeon: initialize sadb to NULL in the audio code
    - LP: #1402714
  * powerpc/vphn: NUMA node code expects big-endian
    - LP: #1401150
  * ALSA: usb-audio: Fix device_del() sysfs warnings at disconnect
    - LP: #1402853
  * ALSA: hda - Add mute LED pin quirk for HP 15 touchsmart
    - LP: #1334950, #1402853
  * rcu: Make callers awaken grace-period kthread
    - LP: #1402853
  * rcu: Use rcu_gp_kthread_wake() to wake up grace period kthreads
    - LP: #1402853
  * net: sctp: fix NULL pointer dereference in af->from_addr_param on
    malformed packet
    - LP: #1402853
  * KVM: x86: Don't report guest userspace emulation error to userspace
    - LP: #1402853
  * [media] ttusb-dec: buffer overflow in ioctl
    - LP: #1402853
  * arm64: __clear_user: handle exceptions on strb
    - LP: #1402853
  * ARM: pxa: fix hang on startup with DEBUG_LL
    - LP: #1402853
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1402853
  * acer-wmi: Add Aspire 5741 to video_vendor_dmi_table
    - LP: #1402853
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1402853
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1402853
  * [media] ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1402853
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument...

Changed in linux-lts-trusty (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.8 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-29.39~14.04.1

---------------
linux-lts-utopic (3.16.0-29.39~14.04.1) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402946

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Paolo Pisati ]

  * [Config] armhf: VIRTIO_[BALLOON|MMIO]=y

  [ Upstream Kernel Changes ]

  * Revert "arm64: Make default dma_ops to be noncoherent"
    - LP: #1386490
  * Revert "percpu: free percpu allocation info for uniprocessor system"
    - LP: #1401079
  * ath3k: Add support of MCI 13d3:3408 bt device
    - LP: #1395465
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * cpufreq: Allow stop CPU callback to be used by all cpufreq drivers
    - LP: #1397928
  * cpufreq: powernv: Set the pstate of the last hotplugged out cpu in
    policy->cpus to minimum
    - LP: #1397928
  * cpufreq: powernv: Set the cpus to nominal frequency during reboot/kexec
    - LP: #1397928
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * iwlwifi: add device / firmware to fw-error-dump file
    - LP: #1399440
  * iwlwifi: rename iwl_mvm_fw_error_next_data
    - LP: #1399440
  * iwlwifi: pcie: add firmware monitor capabilities
    - LP: #1399440
  * iwlwifi: remove wrong comment about alignment in iwl-fw-error-dump.h
    - LP: #1399440
  * iwlwifi: mvm: don't collect logs in the interrupt thread
    - LP: #1399440
  * iwlwifi: mvm: kill iwl_mvm_fw_error_rxf_dump
    - LP: #1399440
  * iwlwifi: mvm: update layout of firmware error dump
    - LP: #1399440
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1401079
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1401079
  * pinctrl: baytrail: show output gpio state correctly on Intel Baytrail
    - LP: #1401079
  * ALSA: hda - Add dock support for Thinkpad T440 (17aa:2212)
    - LP: #1401079
  * ALSA: hda - Add ultra dock support for Thinkpad X240.
    - LP: #1401079
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1401079
  * ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1401079
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument
    - LP: #1401079
  * powerpc/powernv: Properly fix LPC debugfs endianness
    - LP: #1401079
  * irqchip: armada-370-xp: Fix MSI interrupt handling
    - LP: #1401079
  * irqchip: armada-370-xp: Fix MPIC interrupt handling
    - LP: #1401079
  * USB: kobil_sct: fix non-atomic allocation in write path
    - LP: #1401079
  * USB: opticon: fix non-atomic all...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-71.138

---------------
linux (2.6.32-71.138) lucid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1403943

  [ Luis Henriques ]

  * [Config] updateconfigs CONFIG_X86_16BIT=y after v2.6.32.65 update

  [ Upstream Kernel Changes ]

  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * x86, 64-bit: Move K8 B step iret fixup to fault entry asm
    - LP: #1403918
  * x86-64: Adjust frame type at paranoid_exit:
    - LP: #1403918
  * x86-64, modify_ldt: Ban 16-bit segments on 64-bit kernels
    - LP: #1403918
  * x86-32, espfix: Remove filter for espfix32 due to race
    - LP: #1403918
  * x86-64, espfix: Don't leak bits 31:16 of %esp returning to 16-bit stack
    - LP: #1403918
  * x86, espfix: Move espfix definitions into a separate header file
    - LP: #1403918
  * x86, espfix: Fix broken header guard
    - LP: #1403918
  * x86, espfix: Make espfix64 a Kconfig option, fix UML
    - LP: #1403918
  * x86, espfix: Make it possible to disable 16-bit support
    - LP: #1403918
  * x86_64/entry/xen: Do not invoke espfix64 on Xen
    - LP: #1403918
  * x86/espfix/xen: Fix allocation of pages for paravirt page tables
    - LP: #1403918
  * x86_64, traps: Fix the espfix64 #DF fixup and rewrite it in C
    - LP: #1403918
  * x86_64, traps: Rework bad_iret
    - LP: #1403918
 -- Luis Henriques <email address hidden> Thu, 18 Dec 2014 16:22:56 +0000

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Andy Whitcroft (apw) on 2015-01-16
tags: removed: kernel-bug-break-fix
Ben Erickson (bugs-r) wrote :

I pushed a little harder with IBM and found out that an SPR (Software Problem Report) has been opened for the issue on SUSE 12, which also exhibits the same behavior:

SPR # YXYX9RA56Z "Error - Unable to Bind port 443 or 80" on SUSE12.

My representative quoted one of the developers as saying:

"There is a known issue with SLES 12 where bindsock has issues. Before we can support SLES 12 and any other newer kernel with this issue, we will have to identify the issue and get it fixed - bindsock and it's code has never changed in this area so the issue is a change in behavior in the kernel".

So, there is hope that there may be a future fixpack(s)(9.0.1 FP3?) where the issue may be addressed on the bindsock side. But, as one of my favorite quotes goes,

"Hope? Let me tell you something, my friend. Hope is a dangerous thing. Hope can drive a man insane. It's got no use on the inside. You'd better get used to that idea." -Red, Shawshank Redemption

Ben Erickson (bugs-r) wrote :

SPR YXYX9RA56Z "HTTP server can't be started with "Error - Unable to Bind port 443 or 80" on SUSE12" has been resolved in 9.01 FP3 IF1 which includes a fixed bindock! Just tested on Ubuntu with 3.13 kernel, SMTP is binding and working properly there as well (unofficially, of course.) ;-)

Ben Erickson (bugs-r) wrote :

Clarification: I tested 9.0.1 FP3 IF1 on a pre-fixed kernel: 3.13.0-43 and SMTP binds properly with the new bindsock binary.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers